// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import 'babel-polyfill';
import Vue from 'vue';
import {Carousel} from 'veui';
import {resize} from 'veui/directives';

import App from './App';
import router from './router';
import VueHighlightJS from 'vue-highlightjs';
import './assets/styles/base.less';
import 'highlight.js/styles/atom-one-dark.css';

Vue.use(VueHighlightJS);
Vue.component('veui-carousel', Carousel);
Vue.directive('veui-resize', resize);

Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
    el: '#app',
    router,
    components: {App},
    template: '<App/>'
});
