import Vue from 'vue';
import Router from 'vue-router';
import Catalog from '@/demo/Catalog';
import EndlessList from '@/demo/EndlessList';
import HEndlessList from '@/demo/HEndlessList';
import EndlessTree from '@/demo/EndlessTree';
import ConfirmInput from '@/demo/ConfirmInput';
import DateTimePicker from '@/demo/DateTimePicker';
import Confirm from '@/demo/Confirm';
import Loading from '@/demo/Loading';
import FlexHeader from '@/demo/FlexHeader';
import Table from '@/demo/Table';
import Searchbox from '@/demo/Searchbox';
import ComPage from '@/demo/pages/ComPage';
import GuidePage from '@/demo/pages/GuidePage';
import ResourcePage from '@/demo/pages/ResourcePage';
import Instoption from '@/demo/Instoption';
import Usertit from '@/demo/Usertit';

Vue.use(Router);

export default new Router({
    routes: [
        {
            path: '/',
            redirect: '/component'
        },
        {
            // 组件
            path: '/component',
            name: 'component',
            redirect: '/component/catalog',
            component: ComPage,
            children: [
                {
                    path: '/component/catalog',
                    name: 'catalog',
                    component: Catalog
                },
                {
                    path: '/component/endlesslist',
                    name: 'endlesslist',
                    component: EndlessList
                },
                {
                    path: '/component/endlesstree',
                    name: 'endlesstree',
                    component: EndlessTree
                },
                {
                    path: '/component/hendlesslist',
                    name: 'hendlesslist',
                    component: HEndlessList
                },
                {
                    path: '/component/confirmInput',
                    name: 'ConfirmInput',
                    component: ConfirmInput
                },
                {
                    path: '/component/datetimepicker',
                    name: 'DateTimePicker',
                    component: DateTimePicker
                },
                {
                    path: '/component/confirmbox',
                    name: 'confirmbox',
                    component: Confirm
                },
                {
                    path: '/component/loading',
                    name: 'loading',
                    component: Loading
                },
                {
                    path: '/component/flexheader',
                    name: 'flexheader',
                    component: FlexHeader
                },
                {
                    path: '/component/table',
                    name: 'table',
                    component: Table
                },
                {
                    path: '/component/searchbox',
                    name: 'searchbox',
                    component: Searchbox
                },
                {
                    path: '/component/inst',
                    name: 'inst',
                    component: Instoption
                },
                {
                    path: '/component/usertit',
                    name: 'usertit',
                    component: Usertit
                }
            ]
        },
        {
            // 指南
            path: '/guide',
            name: 'guide',
            component: GuidePage
        },
        {
            // 资源
            path: '/resource',
            name: 'resource',
            component: ResourcePage
        }
    ]
});
